# Class TCefCustomStringList

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFStringList

## Declaration

`type TCefCustomStringList = class(TInterfacedObject, ICefStringList)`

## Description

CEF string maps are a set of key/value string pairs.

## Hierarchy

- TInterfacedObject
- TCefCustomStringList

## Overview

### Fields

| `FHandle: TCefStringList;`

### Methods

| `function GetHandle: TCefStringList; virtual;`
| `function GetSize: NativeUInt; virtual;`
| `function GetValue(index: NativeUInt): ustring; virtual;`
| `procedure Append(const value: ustring); virtual;`
| `procedure Clear; virtual;`
| `function Copy: TCefStringList; virtual;`
| `procedure CopyToStrings(const aStrings : TStrings); virtual;`
| `procedure AddStrings(const aStrings : TStrings); virtual;`
| `constructor Create; virtual;`

## Description

### Fields

| `FHandle: TCefStringList;`
This item has no description.

### Methods

| `function GetHandle: TCefStringList; virtual;`
This item has no description.

| `function GetSize: NativeUInt; virtual;`
Return the number of elements in the string list.

| `function GetValue(index: NativeUInt): ustring; virtual;`
Retrieve the value at the specified zero-based string list index. Returns true (1) if the value was successfully retrieved.

| `procedure Append(const value: ustring); virtual;`
Append a new value at the end of the string list.

| `procedure Clear; virtual;`
Clear the string list.

| `function Copy: TCefStringList; virtual;`
Creates a copy of an existing string list.

| `procedure CopyToStrings(const aStrings : TStrings); virtual;`
This item has no description.

| `procedure AddStrings(const aStrings : TStrings); virtual;`
This item has no description.

| `constructor Create; virtual;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.